summaryrefslogtreecommitdiffstats
path: root/patches/02_ob-checkbuilddeps-fix-status-check.patch
blob: 81d6f01e8a089078c0c3ef93f7e7460a20555d0b (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
From: "P. J. McDermott" <pj@pehjota.net>
Origin: upstream, http://git.proteanos.com/opkbuild/opkbuild.git/commit/?id=6208979
Date: Tue, 13 May 2014 16:25:36 -0400
Subject: ob-checkbuilddeps: Fix status check.

This was breaking on packages with a status field like:

    Status: install user installed
---
 src/ob-checkbuilddeps.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/ob-checkbuilddeps.sh b/src/ob-checkbuilddeps.sh
index 6b41416..6005563 100644
--- a/src/ob-checkbuilddeps.sh
+++ b/src/ob-checkbuilddeps.sh
@@ -81,7 +81,7 @@ check_dep()
 	ob_parse_dep -p dep_pkg -r dep_rel -v dep_ver "${dep}"
 	status="$(@@OPKG@@ status "${dep_pkg}")"
 
-	if ! printf '%s\n' "${status}" | grep '^Status: .*ok installed$' \
+	if ! printf '%s\n' "${status}" | grep '^Status: .* .* installed$' \
 			>/dev/null 2>&1; then
 		return 1
 	fi
-- 
1.8.5.3